> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whitebit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get fiat deposit address

> Get a fiat currency deposit address or payment details for a WhiteBIT account via the V4 API.



## OpenAPI

````yaml /openapi/private/main_api_v4.yaml POST /api/v4/main-account/fiat-deposit-url
openapi: 3.0.3
info:
  title: WhiteBIT Private HTTP API V4
  description: |
    WhiteBIT Private HTTP API V4 for Main balance changes.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.
  version: 4.0.0
  contact:
    name: WhiteBIT Support
    email: support@whitebit.com
    url: https://whitebit.com
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security:
  - ApiKeyAuth: []
    PayloadAuth: []
    SignatureAuth: []
tags:
  - name: Main Account
    description: Main account balance and operations
  - name: Deposit
    description: Cryptocurrency and fiat deposit operations
  - name: Withdraw
    description: Cryptocurrency and fiat withdrawal operations
  - name: Transfer
    description: Balance transfer operations
  - name: Codes
    description: WhiteBIT codes operations
  - name: Crypto Lending - Fixed
    description: Fixed crypto lending plans
  - name: Crypto Lending - Flex
    description: Flexible crypto lending plans
  - name: Fees
    description: Fee information
  - name: Sub-Account
    description: Sub-account management
  - name: Sub-Account API Keys
    description: Sub-account API key management
  - name: Mining Pool
    description: Mining pool operations
  - name: Credit Line
    description: Credit line information
  - name: JWT
    description: JWT token management
paths:
  /api/v4/main-account/fiat-deposit-url:
    post:
      tags:
        - Deposit
      summary: Get fiat deposit address
      description: >
        The endpoint retrieves a deposit url of the [fiat](/glossary#fiat)
        invoice.


        The endpoint works on demand. Contact WhiteBIT support and provide the
        API key to get access to the functionality.


        <Accordion title="Errors">

        ```json

        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "amount": ["Amount is too little for deposit"]
          }
        }

        ```


        ```json

        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "provider": ["Cannot find currency for specified provider"]
          }
        }

        ```


        ```json

        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "uniqueId": ["The unique id has already been taken."]
          }
        }

        ```


        ```json

        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "amount": ["The amount must be a number."],
            "provider": ["The selected provider is invalid."],
            "ticker": ["The selected ticker is invalid."]
          }
        }

        ```


        ```json

        {
          "code": 10,
          "message": "Failed to generate deposit url"
        }

        ```


        ```json

        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "amount": ["The amount field is required."],
            "provider": ["The provider field is required."],
            "ticker": ["The ticker field is required."],
            "uniqueId": ["The unique id field is required."]
          }
        }

        ```


        ```json

        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "successLink": [
              "Your domain is incorrect. Please contact support for more details"
            ],
            "failureLink": [
              "Your domain is incorrect. Please contact support for more details"
            ]
          }
        }

        ```


        ```json

        {
          "success": false,
          "message": "You don't have permission to use this endpoint. Please contact support for more details",
          "code": 0
        }

        ```


        ```json

        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "successLink": ["Your domain scheme incorrect. Use https only"],
            "failureLink": ["Your domain scheme incorrect. Use https only"]
          }
        }

        ```


        ```json

        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "ticker": ["Currency is not depositable via API"]
          }
        }

        ```


        ```json

        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "user": ["User not verified"]
          }
        }

        ```


        ```json

        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "amount": ["Amount is too big for deposit"]
          }
        }

        ```


        ```json

        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "amount": ["Daily limit reached"]
          }
        }

        ```


        ```json

        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "amount": ["Expiration date cannot be used for this provider"]
          }
        }

        ```


        ```json

        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "customer.birthDate": ["You must be at least 18 years old"]
          }
        }

        ```


        ```json

        {
          "code": 0,
          "message": "Validation failed",
          "errors": {
            "address": ["Invalid credit card number"]
          }
        }

        ```

        </Accordion>


        <Warning>

        When using VISAMASTER as [provider](/glossary#provider), pass the
        [referer
        header](https://developer.mozilla.org/ru/docs/Web/HTTP/Headers/Referer)
        when opening the invoice link (e.g. when opening
        https://someaddress.com). If the header is missing (e.g. when opening
        the link from a Telegram message), the browser is redirected to the
        WhiteBIT homepage

        </Warning>


        <Warning>

        Rate limit: 1000 requests/10 sec.

        </Warning>


        <Note>

        The API does not cache the response.

        </Note>
      operationId: getFiatDepositUrl
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - ticker
                - provider
                - amount
                - uniqueId
                - request
                - nonce
              properties:
                ticker:
                  type: string
                  description: >-
                    Currency's [ticker](/glossary#ticker)
                    ([fiat](/glossary#fiat)). ⚠️ Currencies ticker should be
                    fiat and has "can_deposit" status must be "true". Use [Asset
                    Status endpoint](/public/http-v4/asset-status-list) to know
                    more about currency.
                  example: UAH
                provider:
                  type: string
                  description: >-
                    [Fiat](/glossary#fiat) currency
                    [provider](/glossary#provider). ⚠️ Currency provider should
                    be taken from [Asset Status
                    endpoint](/public/http-v4/asset-status-list) response.
                  example: VISAMASTER
                amount:
                  type: string
                  description: Deposit amount
                  example: '100'
                uniqueId:
                  type: string
                  description: >-
                    Unique transaction identifier on client's side. Any string
                    up to 255 characters; not validated as a UUID.
                  example: qw22
                customer:
                  type: object
                  description: >-
                    Customer information (required for USD/EUR with VISAMASTER
                    [provider](/glossary#provider))
                  properties:
                    firstName:
                      type: string
                      description: >
                        Customer billing first name.


                        ⚠️ Required if currency USD or EUR with VISAMASTER
                        [provider](/glossary#provider).
                      example: John
                    lastName:
                      type: string
                      description: >
                        Customer billing last name.


                        ⚠️ Required if currency USD or EUR with VISAMASTER
                        [provider](/glossary#provider).
                      example: Doe
                    email:
                      type: string
                      description: >
                        Customer billing email.


                        ⚠️ Required if currency USD or EUR with VISAMASTER
                        [provider](/glossary#provider).
                      example: john_doe@email.com
                    birthDate:
                      type: string
                      format: date
                      description: >
                        Customer birth date (Format YYYY-MM-DD).


                        ⚠️ Required if currency USD or EUR with VISAMASTER
                        [provider](/glossary#provider).
                      example: '1990-01-01'
                    address:
                      type: object
                      properties:
                        line1:
                          type: string
                          description: >
                            Customer address line1.


                            ⚠️ Required if currency USD or EUR with VISAMASTER
                            [provider](/glossary#provider).
                          example: Martinez Campos 37
                        line2:
                          type: string
                          description: Customer address line2
                          example: ''
                        city:
                          type: string
                          description: >
                            Customer city.


                            ⚠️ Required if currency USD or EUR with VISAMASTER
                            [provider](/glossary#provider).
                          example: Madrid
                        zipCode:
                          type: string
                          description: >
                            Customer zip-code.


                            ⚠️ Required if currency USD or EUR with VISAMASTER
                            [provider](/glossary#provider).
                          example: '28010'
                        countryCode:
                          type: string
                          description: >
                            Customer country code.


                            ⚠️ Required if currency USD or EUR with VISAMASTER
                            [provider](/glossary#provider).
                          example: ES
                successLink:
                  type: string
                  description: >-
                    Customer will be redirected to this URL by acquiring
                    [provider](/glossary#provider) after success deposit. To
                    activate this feature, please contact support
                  example: https://success.example.com
                failureLink:
                  type: string
                  description: >-
                    Customer will be redirected to this URL in case of fail or
                    rejection on acquiring provider side. To activate this
                    feature, please contact support
                  example: https://failure.example.com
                returnLink:
                  type: string
                  description: >-
                    Customer will be redirected to the URL defined if selects
                    'back' option after from the payment success or failure
                    page. To activate this feature, define desired link. If not
                    populated, option 'back' won't be displayed
                  example: https://return.example.com
                request:
                  type: string
                  description: Request signature
                  example: '{{request}}'
                nonce:
                  type: integer
                  description: Unique request identifier
                  example: 1594297865000
            examples:
              basic:
                summary: Basic request
                value:
                  ticker: UAH
                  provider: VISAMASTER
                  amount: '100'
                  uniqueId: '{{generateID}}'
                  request: '{{request}}'
                  nonce: 1594297865000
              withCustomer:
                summary: Request with customer fields
                value:
                  ticker: UAH
                  provider: VISAMASTER
                  amount: '100'
                  uniqueId: '{{generateID}}'
                  customer:
                    firstName: John
                    lastName: Doe
                    email: john_doe@email.com
                    address:
                      line1: Martinez Campos 37
                      city: Madrid
                      zipCode: '28010'
                      countryCode: ES
                  request: '{{request}}'
                  nonce: 1594297865000
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    description: Address for deposit
              example:
                url: https://someaddress.com
        '400':
          description: Validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service temporary unavailable
components:
  schemas:
    Error:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: The public WhiteBIT API key.
    PayloadAuth:
      type: apiKey
      in: header
      name: X-TXC-PAYLOAD
      description: Base64-encoded JSON request body.
    SignatureAuth:
      type: apiKey
      in: header
      name: X-TXC-SIGNATURE
      description: >-
        HMAC-SHA512 signature of the payload, hex-encoded. Computed as
        hex(HMAC-SHA512(payload, api_secret)).

````